import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { EnableStageTransitionInput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface EnableStageTransitionCommandInput
  extends EnableStageTransitionInput {}
export interface EnableStageTransitionCommandOutput extends __MetadataBearer {}
declare const EnableStageTransitionCommand_base: {
  new (
    input: EnableStageTransitionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    EnableStageTransitionCommandInput,
    EnableStageTransitionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: EnableStageTransitionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    EnableStageTransitionCommandInput,
    EnableStageTransitionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class EnableStageTransitionCommand extends EnableStageTransitionCommand_base {
  protected static __types: {
    api: {
      input: EnableStageTransitionInput;
      output: {};
    };
    sdk: {
      input: EnableStageTransitionCommandInput;
      output: EnableStageTransitionCommandOutput;
    };
  };
}
