import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  PollForThirdPartyJobsInput,
  PollForThirdPartyJobsOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface PollForThirdPartyJobsCommandInput
  extends PollForThirdPartyJobsInput {}
export interface PollForThirdPartyJobsCommandOutput
  extends PollForThirdPartyJobsOutput,
    __MetadataBearer {}
declare const PollForThirdPartyJobsCommand_base: {
  new (
    input: PollForThirdPartyJobsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PollForThirdPartyJobsCommandInput,
    PollForThirdPartyJobsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: PollForThirdPartyJobsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PollForThirdPartyJobsCommandInput,
    PollForThirdPartyJobsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class PollForThirdPartyJobsCommand extends PollForThirdPartyJobsCommand_base {
  protected static __types: {
    api: {
      input: PollForThirdPartyJobsInput;
      output: PollForThirdPartyJobsOutput;
    };
    sdk: {
      input: PollForThirdPartyJobsCommandInput;
      output: PollForThirdPartyJobsCommandOutput;
    };
  };
}
